Advanced media dialog is shown with horizontal scrollbars because button labels don't fit
Closed, ResolvedPublic1 Story Points

Description

Advanced media dialog is shown with horizontal scrollbars because button labels don't fit.

Details

Reference
bz72187
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz72187.
matmarex created this task.Oct 17 2014, 3:45 PM

Can we improve the translations?

Well, given that we're replacing this dialog with a new design which will be wider (as we'll have now drawer), and it's only in the "advanced" section, it's maybe not worth worrying for now? Eh.

matmarex renamed this task from VisualEditor: Advanced media dialog shown with scrollbars in Polish because translated button labels don't fit horizontally to Advanced media dialog is shown with horizontal scrollbars in Polish because translated button labels don't fit.Jan 24 2015, 10:01 AM
matmarex updated the task description. (Show Details)
matmarex set Security to None.

This is still a problem with the new dialog and the new design, I updated the screenshot.

matmarex renamed this task from Advanced media dialog is shown with horizontal scrollbars in Polish because translated button labels don't fit to Advanced media dialog is shown with horizontal scrollbars because button labels don't fit.
matmarex updated the task description. (Show Details)
matmarex added subscribers: Volker_E, Deskana, Aklapper.

Finally, this has also become a problem in English.

Reciting myself from T190462:

No regression to my knowledge. We once discussed a compromise as solution in T112982 with Ed being against the proposal. We'd need a constructive idea…

I was hoping for inputs by @Esanders – if spilling one button on next line seems insufficient, how about calculating the available horizontal size and putting all of them underneath each other when above?

Change 422138 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.ui.MWMediaDialog: Use dropdown for image type selector

https://gerrit.wikimedia.org/r/422138

Change 422138 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.ui.MWMediaDialog: Use dropdown for image type selector

https://gerrit.wikimedia.org/r/422138

matmarex moved this task from Up next to Done on the VisualEditor (Current work) board.
matmarex claimed this task.
Deskana closed this task as Resolved.Apr 9 2018, 3:32 PM
Deskana set the point value for this task to 1.

That'll do it.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 9 2018, 3:32 PM